/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLLIElement_H__
#define __GdomHTMLLIElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLLIElement GdomHTMLLIElement;
typedef struct _GdomHTMLLIElementClass GdomHTMLLIElementClass;


#define GDOM_TYPE_HTMLLI_ELEMENT            (gdom_htmlli_element_get_type())
#define GDOM_HTMLLI_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTMLLI_ELEMENT, GdomHTMLLIElement))
#define GDOM_HTMLLI_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTMLLI_ELEMENT, GdomHTMLLIElement)Class)
#define GDOM_IS_HTMLLI_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTMLLI_ELEMENT))
#define GDOM_IS_HTMLLI_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTMLLI_ELEMENT))
#define GDOM_HTMLLI_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTMLLI_ELEMENT, GdomHTMLLIElementClass))

typedef struct _GdomHTMLLIElementPrivate GdomHTMLLIElementPrivate;

struct _GdomHTMLLIElement {
    GdomHTMLElement parent_instance;
    GdomHTMLLIElementPrivate *priv;
};

struct _GdomHTMLLIElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_htmlli_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLLIElement_H__ */
